Bug 1284277 - Please update to 1.5.0
Summary: Please update to 1.5.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvpx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-22 17:16 UTC by drago01
Modified: 2015-12-02 13:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 13:45:46 UTC


Attachments (Terms of Use)

Description drago01 2015-11-22 17:16:34 UTC
Description of problem:

libvpx 1.5.0 has been released see: https://groups.google.com/a/webmproject.org/forum/#!topic/codec-devel/0rjNpFerYs8

It improves both vp9 encoding and decoding performance so would be nice to have it.

Unfortunately it breaks ABI so a rebuild of deps will be required.

Comment 1 barsnick 2015-11-23 15:37:18 UTC
The break in ABI is reflected by a bump of the soname version. This calls for either a parallel package (libvpx15, or libvpx14 and libvpx), or introduction into the new Fedora release. (But I'm not totally aware of the Fedora update rules on this - just saying.)

An entry in the upstream release monitoring database wouldn't be bad either. Let me note that the source URL has moved to
http://downloads.webmproject.org/releases/webm/%{name}-%{version}.tar.bz2

(BTW, 1.5.0 seems to build fine with a few SPEC adaptations.)

Comment 2 Jonathan Underwood 2015-11-24 09:24:38 UTC
xpra really benefits from 1.5 for speed, so this would get a vote from me :)

Comment 3 Tom "spot" Callaway 2015-12-01 18:57:42 UTC
I don't mind doing this in rawhide, but I'm going to have to be convinced to do this for any other branches.

Comment 4 Tom "spot" Callaway 2015-12-02 13:45:46 UTC
libvpx-1.5.0 is now in rawhide. All dependencies that repoquery found have been rebuilt:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12025097


Note You need to log in before you can comment on or make changes to this bug.